#include "../../../lib/std.mi"
#include "attribs.m"
#include "utility.m"

Function updateCoverNotifier(); Function SmoothNotifier(Layer Fx); Function Int strCharCount(String strValue, String strSearchValue);
Global Group groupScript;
Global Layer layerCoverN;
Global Float fltTransitionTime;

System.onScriptLoaded() {
	initAttribs();
	groupScript = System.getScriptGroup();
	layerCoverN = groupScript.findObject("cover.image.n");
	fltTransitionTime = 0.3;
	if (System.getPlayItemString() != "") updateCoverNotifier();
}
System.onSetXuiParam(String strParam, String strValue) {
	if (System.strLower(strParam) == "transitiontime") fltTransitionTime = System.stringToFloat(strValue);
}
System.onTitleChange(String strNewTitle) {
	updateCoverNotifier();
}
updateCoverNotifier() {
	String strCoverFilePath = getCoverFilePath();
	if (strCoverFilePath != "") {
		if (layerCoverN.getXMLParam("image") != strCoverFilePath) {
			layerCoverN.setXMLParam("image", strCoverFilePath);
			layerCoverN.setAlpha(0);
			animateLayerAlpha(layerCoverN, 255, fltTransitionTime);
			layerCoverN.fx_setEnabled(0);
			if (attrib_notifierSmoothCovertArt.getData() == "1") { SmoothNotifier(layerCoverN); }
		}
	} else {
		layerCoverN.setXMLParam("image", "");
		layerCoverN.setAlpha(0);
	}
}
Int strCharCount(String strValue, String strSearchValue) {
	Int intStringLength; Int intReturnValue; String strCurrentChar; intReturnValue = 0;
	if (strValue != "") { intStringLength = System.strLen(strValue);
		for (Int i = 0; i < intStringLength; i++) { strCurrentChar = System.strMid(strValue, i, 1);
			if (strCurrentChar == strSearchValue) intReturnValue++; } return intReturnValue; } else {	return 0; } 
}

SmoothNotifier(Layer Fx) { Fx.fx_setEnabled(1); Fx.fx_setBgFx(0); Fx.fx_setWrap(0); Fx.fx_setBilinear(1); Fx.fx_setAlphaMode(0); Fx.fx_setGridSize(1,1); Fx.fx_setRect(0); Fx.fx_setClear(0); Fx.fx_setLocalized(1); Fx.fx_setRealtime(0); Fx.fx_setSpeed(0); }
attrib_notifierSmoothCovertArt.onDataChanged() { if (attrib_notifierSmoothCovertArt.getData() == "1") { layerCoverN.fx_setEnabled(0); SmoothNotifier(layerCoverN); } else { layerCoverN.fx_setEnabled(0); } }