#include "../../../lib/std.mi"
#include "attribs.m"

Global Container containerConfigNotifier;
Global Layout layoutConfigNotifier;
Global ToggleButton buttonNotifierAnimation, buttonNotifierPosition;
Global Group groupNotifierPosition, groupNotifierAnimation;
Global GuiObject CFNotifierTop;

System.onScriptLoaded() {
	initAttribs();
	containerConfigNotifier = System.getContainer("notifierConfig");
	layoutConfigNotifier = containerConfigNotifier.getLayout("normal");
	groupNotifierPosition = layoutConfigNotifier.findObject("groupNotifierPosition");
	groupNotifierAnimation = layoutConfigNotifier.findObject("groupNotifierAnimation");
	buttonNotifierPosition = layoutConfigNotifier.findObject("buttonPosition");
	buttonNotifierAnimation = layoutConfigNotifier.findObject("buttonAnimation");

	CFNotifierTop = layoutConfigNotifier.findObject("clear.top.middle");
	groupNotifierPosition.hide();	
	groupNotifierAnimation.hide();	
	
	if (attrib_ConfigNotifierPosition.getData() == "1") { groupNotifierPosition.show(); groupNotifierAnimation.hide(); }
	if (attrib_ConfigNotifierAnimation.getData() == "1") { groupNotifierPosition.hide(); groupNotifierAnimation.show(); }
	
}

attrib_ConfigNotifierAnimation.onDataChanged() {
	if (attrib_ConfigNotifierAnimation.getData() == "1") {
		attrib_ConfigNotifierPosition.setData("0");
		groupNotifierPosition.hide();
		groupNotifierAnimation.show();
	}
}


attrib_ConfigNotifierPosition.onDataChanged() {
	if (attrib_ConfigNotifierPosition.getData() == "1") {
		attrib_ConfigNotifierAnimation.setData("0");
		groupNotifierPosition.show();
		groupNotifierAnimation.hide();
	}
}

CFNotifierTop.onRightButtonDown(int x, int y) { layoutConfigNotifier.hide(); }